Bug 614549 - X occasionally freezes, ignores commands, but can still move mouse pointer
X occasionally freezes, ignores commands, but can still move mouse pointer
Status: CLOSED DUPLICATE of bug 713906
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau (Show other bugs)
14
All Linux
low Severity medium
: ---
: ---
Assigned To: Ben Skeggs
Fedora Extras Quality Assurance
[cat:modesetting]
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-14 14:18 EDT by D. Wagner
Modified: 2018-04-11 03:15 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-21 03:55:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/var/log/Xorg.0.log.old (77.24 KB, text/plain)
2010-07-14 14:18 EDT, D. Wagner
no flags Details
/etc/X11/xorg.conf.d/00-system-setup-keyboard.conf (323 bytes, text/plain)
2011-06-21 02:30 EDT, D. Wagner
no flags Details
/var/log/messages (everything since last boot) (88.38 KB, text/plain)
2011-06-21 02:31 EDT, D. Wagner
no flags Details
output of dmesg (123.43 KB, text/plain)
2011-06-21 02:31 EDT, D. Wagner
no flags Details
/var/log/Xorg.0.log (85.58 KB, text/plain)
2011-06-21 02:32 EDT, D. Wagner
no flags Details

  None (edit)
Description D. Wagner 2010-07-14 14:18:57 EDT
Created attachment 431868 [details]
/var/log/Xorg.0.log.old

Description of problem:

Several times now I've encountered a situation where my machine freezes.  Symptoms: I can move my mouse, and the mouse pointer moves.  However my machine stops responding to most other inputs.  Mouse clicks are ignored.  Keyboard presses are ignored (for instance, Ctrl-Alt-LeftArrow does not switch between workspaces).  What's displayed on the screen doesn't change, apart from the mouse pointer.  Alt-SysRq keys do work (if I type Alt-SysRq-S to sync and then Alt-SysRq-B to boot, the system reboots, and I can find the Emergency Sync event in /var/log/messages).

When the system gets into this state, the only thing I can do is reboot.  I tried leaving the system in this state overnight, and it was in the same state when I came back 8 hours later.

I'm guessing this is X related.  My reasoning: the kernel is presumably still up, if Alt-SysRq keys work.  Presumably it's not a problem with the keyboard becoming disconnected (since Alt-SysRq works) or with the mouse becoming disconnected (since I can move the mouse pointer, even though clicks are ignored).  This does not appear to be limited to a single application.

In /var/log/Xorg.0.log.old, I see the following at the end of the file:

[...]
[142514.167] [mi] EQ overflowing. The server is probably stuck in an infinite loop.
[142514.168] 
Backtrace:
[142514.221] 0: /usr/bin/Xorg (xorg_backtrace+0x28) [0x49ed48]
[142514.221] 1: /usr/bin/Xorg (mieqEnqueue+0x1f4) [0x49e6f4]
[142514.221] 2: /usr/bin/Xorg (xf86PostMotionEventP+0xc4) [0x477e24]
[...]

I'll attach the full file.

Apart from that, there are no error messages visible in system logs.  I have a Nvidia video card, but I use the free driver (nouveau, I think), not Nvidia's proprietary driver.

Got any suggestions how to debug this?

Version-Release number of selected component (if applicable):

xorg-x11-server-common-1.8.2-1.fc13.x86_64
xorg-x11-server-Xorg-1.8.2-1.fc13.x86_64
kernel-2.6.33.6-147.fc13.x86_64
xorg-x11-drv-nouveau-0.0.16-7.20100423git13c1043.fc13.x86_64

How reproducible:

It has occurred to me multiple times.  I'm not certain how to reproduce it, but it seems to happen to once me every few days or so.
Comment 1 D. Wagner 2010-07-14 14:41:33 EDT
I did a bit of Googling, and I wonder if this is related to the following bug report upstream:

http://bugs.freedesktop.org/show_bug.cgi?id=26980

See also bug #596330 (possibly related?), and bug #587371, bug #575575 (I'm not sure they're exactly the same bug, but might be related).

Also I saw a similar bug reported on Debian's bug tracker:

http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=578056

And reports of what looks like possibly the same bug on FedoraForum:

http://forums.fedoraforum.org/showthread.php?t=245923

I dunno if this helps.  I stand ready to help debug, if you have any suggestions for what I could do to help narrow this down.
Comment 2 Matěj Cepl 2010-07-19 12:14:25 EDT
Backtrace:
[142514.221] 0: /usr/bin/Xorg (xorg_backtrace+0x28) [0x49ed48]
[142514.221] 1: /usr/bin/Xorg (mieqEnqueue+0x1f4) [0x49e6f4]
[142514.221] 2: /usr/bin/Xorg (xf86PostMotionEventP+0xc4) [0x477e24]
[142514.221] 3: /usr/lib64/xorg/modules/input/evdev_drv.so (0x7f99c98a1000+0x3dbf) [0x7f99c98a4dbf]
[142514.221] 4: /usr/bin/Xorg (0x400000+0x6aad7) [0x46aad7]
[142514.221] 5: /usr/bin/Xorg (0x400000+0x118263) [0x518263]
[142514.221] 6: /lib64/libc.so.6 (0x3dc8e00000+0x32a20) [0x3dc8e32a20]
[142514.221] 7: /lib64/libc.so.6 (ioctl+0x7) [0x3dc8ed9597]
[142514.221] 8: /usr/lib64/libdrm.so.2 (drmIoctl+0x28) [0x3520403388]
[142514.221] 9: /usr/lib64/libdrm.so.2 (drmCommandWrite+0x1b) [0x352040360b]
[142514.221] 10: /usr/lib64/libdrm_nouveau.so.1 (0x7f99cb5e7000+0x2dfd) [0x7f99cb5e9dfd]
[142514.221] 11: /usr/lib64/libdrm_nouveau.so.1 (nouveau_bo_map_range+0xfe) [0x7f99cb5e9fee]
[142514.221] 12: /usr/lib64/libdrm_nouveau.so.1 (0x7f99cb5e7000+0x207a) [0x7f99cb5e907a]
[142514.221] 13: /usr/lib64/libdrm_nouveau.so.1 (nouveau_pushbuf_flush+0x190) [0x7f99cb5e9450]
[142514.221] 14: /usr/lib64/xorg/modules/libexa.so (0x7f99ca975000+0x9655) [0x7f99ca97e655]
[142514.221] 15: /usr/lib64/xorg/modules/libexa.so (0x7f99ca975000+0xa1fa) [0x7f99ca97f1fa]
[142514.221] 16: /usr/bin/Xorg (0x400000+0xd311b) [0x4d311b]
[142514.221] 17: /usr/lib64/xorg/modules/libexa.so (0x7f99ca975000+0xb45d) [0x7f99ca98045d]
[142514.221] 18: /usr/bin/Xorg (0x400000+0xd2b1e) [0x4d2b1e]
[142514.221] 19: /usr/bin/Xorg (0x400000+0xcceae) [0x4cceae]
[142514.221] 20: /usr/bin/Xorg (0x400000+0x2c28c) [0x42c28c]
[142514.222] 21: /usr/bin/Xorg (0x400000+0x2190a) [0x42190a]
[142514.222] 22: /lib64/libc.so.6 (__libc_start_main+0xfd) [0x3dc8e1ec5d]
[142514.222] 23: /usr/bin/Xorg (0x400000+0x214b9) [0x4214b9]
Comment 3 D. Wagner 2010-07-19 17:06:35 EDT
It happened to me again today, and this time the following three messages appeared in /var/log/messages at the time that it occurred:

Jul 19 13:51:57 mundy kernel: [drm] nouveau 0000:01:00.0: PFIFO_DMA_PUSHER - Ch 
1
Jul 19 13:51:57 mundy kernel: [drm] nouveau 0000:01:00.0: PGRAPH_ERROR - nSource
: DATA_ERROR, nStatus: BAD_ARGUMENT
Jul 19 13:51:57 mundy kernel: [drm] nouveau 0000:01:00.0: PGRAPH_ERROR - Ch 1/4 
Class 0x4497 Mthd 0x1840 Data 0x00000000:0x3f7c0000

I don't know if that's helpful.

Also, here is the backtrace that appeared in /var/log/Xorg.0.log.old this time:

[443617.768] [mi] EQ overflowing. The server is probably stuck in an infinite loop.
[443617.777] 
Backtrace:
[443617.825] 0: /usr/bin/Xorg (xorg_backtrace+0x28) [0x49ed48]
[443617.825] 1: /usr/bin/Xorg (mieqEnqueue+0x1f4) [0x49e6f4]
[443617.825] 2: /usr/bin/Xorg (xf86PostMotionEventP+0xc4) [0x477e24]
[443617.825] 3: /usr/lib64/xorg/modules/input/evdev_drv.so (0x7f696a9cb000+0x3dbf) [0x7f696a9cedbf]
[443617.825] 4: /usr/bin/Xorg (0x400000+0x6aad7) [0x46aad7]
[443617.825] 5: /usr/bin/Xorg (0x400000+0x118263) [0x518263]
[443617.825] 6: /lib64/libc.so.6 (0x358ba00000+0x32a20) [0x358ba32a20]
[443617.825] 7: /lib64/libc.so.6 (ioctl+0x7) [0x358bad95a7]
[443617.837] 8: /usr/lib64/libdrm.so.2 (drmIoctl+0x28) [0x35a2603388]
[443617.837] 9: /usr/lib64/libdrm.so.2 (drmCommandWrite+0x1b) [0x35a260360b]
[443617.837] 10: /usr/lib64/libdrm_nouveau.so.1 (0x7f696c711000+0x2dfd) [0x7f696c713dfd]
[443617.837] 11: /usr/lib64/libdrm_nouveau.so.1 (nouveau_bo_map_range+0xfe) [0x7f696c713fee]
[443617.837] 12: /usr/lib64/xorg/modules/drivers/nouveau_drv.so (0x7f696c916000+0x6498) [0x7f696c91c498]
[443617.837] 13: /usr/lib64/xorg/modules/libexa.so (0x7f696ba9f000+0x523f) [0x7f696baa423f]
[443617.837] 14: /usr/lib64/xorg/modules/libexa.so (0x7f696ba9f000+0x7494) [0x7f696baa6494]
[443617.837] 15: /usr/lib64/xorg/modules/libexa.so (0x7f696ba9f000+0xd0e7) [0x7f696baac0e7]
[443617.837] 16: /usr/lib64/xorg/modules/libexa.so (0x7f696ba9f000+0xe082) [0x7f696baad082]
[443617.837] 17: /usr/bin/Xorg (0x400000+0xd27f0) [0x4d27f0]
[443617.837] 18: /usr/lib64/xorg/modules/libexa.so (0x7f696ba9f000+0xccd8) [0x7f696baabcd8]
[443617.837] 19: /usr/bin/Xorg (0x400000+0xce7c7) [0x4ce7c7]
[443617.837] 20: /usr/bin/Xorg (0x400000+0x2c28c) [0x42c28c]
[443617.837] 21: /usr/bin/Xorg (0x400000+0x2190a) [0x42190a]
[443617.837] 22: /lib64/libc.so.6 (__libc_start_main+0xfd) [0x358ba1ec5d]
[443617.837] 23: /usr/bin/Xorg (0x400000+0x214b9) [0x4214b9]

This backtrace is not exactly identical to the prior one.  The most obvious difference is that libraries are loaded at different start addresses, but there also appears to be non-trivial differences in lines 12-19.

Current installed RPMs:

xorg-x11-drv-evdev-2.4.0-2.fc13.x86_64
glibc-2.12-3.x86_64
libdrm-2.4.21-2.fc13.x86_64
libdrm-2.4.21-2.fc13.x86_64
xorg-x11-drv-nouveau-0.0.16-7.20100423git13c1043.fc13.x86_64
xorg-x11-server-Xorg-1.8.2-1.fc13.x86_64
Comment 4 Ben Skeggs 2010-07-19 18:27:45 EDT
Can you give booting with pcie_aspm=off a try?
Comment 5 D. Wagner 2010-07-25 21:11:15 EDT
I booted with pcie_aspm=off, and experienced another freeze.

In /var/log/messages (right around or before the time of the freeze):

Jul 25 17:48:33 mundy kernel: [drm] nouveau 0000:01:00.0: PFIFO_DMA_PUSHER - Ch 1

In /var/log/Xorg.0.log.old:

[ 66100.511] [mi] EQ overflowing. The server is probably stuck in an infinite loop.
[ 66100.512] 
Backtrace:
[ 66100.559] 0: /usr/bin/Xorg (xorg_backtrace+0x28) [0x4a9098]
[ 66100.559] 1: /usr/bin/Xorg (mieqEnqueue+0x1f4) [0x4a3724]
[ 66100.559] 2: /usr/bin/Xorg (xf86PostMotionEventP+0xc4) [0x46df34]
[ 66100.559] 3: /usr/lib64/xorg/modules/input/evdev_drv.so (0x7f2d792be000+0x3dbf) [0x7f2d792c1dbf]
[ 66100.559] 4: /usr/bin/Xorg (0x400000+0x7b9b7) [0x47b9b7]
[ 66100.559] 5: /usr/bin/Xorg (0x400000+0x11c5b3) [0x51c5b3]
[ 66100.559] 6: /lib64/libc.so.6 (0x358ba00000+0x32a20) [0x358ba32a20]
[ 66100.559] 7: /lib64/libc.so.6 (ioctl+0x7) [0x358bad95a7]
[ 66100.559] 8: /usr/lib64/libdrm.so.2 (drmIoctl+0x28) [0x35a2603388]
[ 66100.559] 9: /usr/lib64/libdrm.so.2 (drmCommandWrite+0x1b) [0x35a260360b]
[ 66100.559] 10: /usr/lib64/libdrm_nouveau.so.1 (0x7f2d7b004000+0x2dfd) [0x7f2d7b006dfd]
[ 66100.559] 11: /usr/lib64/libdrm_nouveau.so.1 (nouveau_bo_map_range+0xfe) [0x7f2d7b006fee]
[ 66100.559] 12: /usr/lib64/libdrm_nouveau.so.1 (0x7f2d7b004000+0x207a) [0x7f2d7b00607a]
[ 66100.559] 13: /usr/lib64/libdrm_nouveau.so.1 (nouveau_pushbuf_flush+0x190) [0x7f2d7b006450]
[ 66100.559] 14: /usr/lib64/xorg/modules/libexa.so (0x7f2d7a392000+0x9655) [0x7f2d7a39b655]
[ 66100.559] 15: /usr/lib64/xorg/modules/libexa.so (0x7f2d7a392000+0xa1fa) [0x7f2d7a39c1fa]
[ 66100.559] 16: /usr/bin/Xorg (0x400000+0xdc6db) [0x4dc6db]
[ 66100.559] 17: /usr/lib64/xorg/modules/libexa.so (0x7f2d7a392000+0xb470) [0x7f2d7a39d470]
[ 66100.559] 18: /usr/bin/Xorg (0x400000+0xdc0ea) [0x4dc0ea]
[ 66100.560] 19: /usr/bin/Xorg (0x400000+0xd260e) [0x4d260e]
[ 66100.560] 20: /usr/bin/Xorg (0x400000+0x26dec) [0x426dec]
[ 66100.560] 21: /usr/bin/Xorg (0x400000+0x2189a) [0x42189a]
[ 66100.560] 22: /lib64/libc.so.6 (__libc_start_main+0xfd) [0x358ba1ec5d]
[ 66100.560] 23: /usr/bin/Xorg (0x400000+0x21449) [0x421449]

Incidentally, I do have debugging symbols installed.  I don't know why they don't show up in the backtrace.  If it would help for me to translate the backtrace using debugging symbols, just let me know how to do that.

By the way, even if I don't use pcie_aspm=off as a kernel parameter, I still get the following message in dmesg and /var/log/messages:

pci 0000:01:00.0: disabling ASPM on pre-1.1 PCIe device.  You can enable it with 'pcie_aspm=force'
Comment 6 D. Wagner 2010-08-04 00:15:57 EDT
Today I saw a slightly different failure mode.  X started to get extremely sluggish, then froze for some seconds, then the MP3 player started to skip, then X partly recovered, then got super-slow, froze, and finally died, logging me out and putting me back at the (Gnome?) login prompter.  The interesting bit is that my machine didn't freeze entirely (necessitating a hard reboot); all that happened was X died.

I saw the following somewhat novel error messages in /var/log/messages, associated with this event:

Aug  3 17:58:45 mundy kernel: [drm] nouveau 0000:01:00.0: PFIFO_DMA_PUSHER - Ch 
1
Aug  3 17:58:45 mundy kernel: [drm] nouveau 0000:01:00.0: PGRAPH_ERROR - nSource
: DATA_ERROR, nStatus: BAD_ARGUMENT
Aug  3 17:58:45 mundy kernel: [drm] nouveau 0000:01:00.0: PGRAPH_ERROR - Ch 1/4 
Class 0x4497 Mthd 0x1a10 Data 0x00000000:0x00049900
Aug  3 17:58:45 mundy kernel: [drm] nouveau 0000:01:00.0: PGRAPH_ERROR - nSource
: DATA_ERROR, nStatus: BAD_ARGUMENT
Aug  3 17:58:45 mundy kernel: [drm] nouveau 0000:01:00.0: PGRAPH_ERROR - Ch 1/4 
Class 0x4497 Mthd 0x1a14 Data 0x00000000:0xfff5003e
Aug  3 17:58:45 mundy kernel: [drm] nouveau 0000:01:00.0: PGRAPH_ERROR - nSource
: DATA_ERROR, nStatus: BAD_ARGUMENT
Aug  3 17:58:45 mundy kernel: [drm] nouveau 0000:01:00.0: PGRAPH_ERROR - Ch 1/4 
Class 0x4497 Mthd 0x1a18 Data 0x00000000:0x000898c0
Aug  3 17:58:45 mundy kernel: [drm] nouveau 0000:01:00.0: cal_space: -16
Aug  3 17:58:45 mundy kernel: [drm] nouveau 0000:01:00.0: cal_space: -16
Aug  3 17:58:45 mundy kernel: [drm] nouveau 0000:01:00.0: cal_space: -16
Aug  3 17:58:45 mundy kernel: [drm] nouveau 0000:01:00.0: cal_space: -16
Aug  3 17:58:45 mundy kernel: [drm] nouveau 0000:01:00.0: cal_space: -16
Aug  3 17:58:45 mundy kernel: [drm] nouveau 0000:01:00.0: cal_space: -16
Aug  3 17:58:45 mundy kernel: [drm] nouveau 0000:01:00.0: cal_space: -16
Aug  3 17:58:45 mundy kernel: [drm] nouveau 0000:01:00.0: cal_space: -16
Aug  3 17:58:45 mundy kernel: [drm] nouveau 0000:01:00.0: cal_space: -16
Aug  3 17:58:46 mundy kernel: [drm] nouveau 0000:01:00.0: cal_space: -16
Aug  3 17:58:46 mundy kernel: [drm] nouveau 0000:01:00.0: cal_space: -16
Aug  3 17:58:46 mundy kernel: [drm] nouveau 0000:01:00.0: cal_space: -16
Aug  3 17:58:46 mundy kernel: [drm] nouveau 0000:01:00.0: cal_space: -16
Aug  3 17:58:46 mundy kernel: [drm] nouveau 0000:01:00.0: cal_space: -16
Aug  3 17:58:46 mundy kernel: [drm] nouveau 0000:01:00.0: cal_space: -16
Aug  3 17:58:46 mundy kernel: [drm] nouveau 0000:01:00.0: cal_space: -16
Aug  3 17:58:46 mundy kernel: [drm] nouveau 0000:01:00.0: cal_space: -16
Aug  3 17:58:46 mundy kernel: [drm] nouveau 0000:01:00.0: cal_space: -16
Aug  3 17:58:46 mundy kernel: [drm] nouveau 0000:01:00.0: cal_space: -16
Aug  3 17:58:46 mundy kernel: [drm] nouveau 0000:01:00.0: cal_space: -16
Aug  3 17:58:46 mundy kernel: [drm] nouveau 0000:01:00.0: cal_space: -16
Aug  3 17:58:46 mundy kernel: [drm] nouveau 0000:01:00.0: cal_space: -16
Aug  3 17:59:02 mundy abrt[16798]: saved core dump of pid 1550 (/usr/bin/Xorg) to /var/cache/abrt/ccpp-1280883541-1550.new/coredump (39206912 bytes)
Aug  3 17:59:02 mundy abrtd: Directory 'ccpp-1280883541-1550' creation detected
Aug  3 17:59:02 mundy kernel: [drm] nouveau 0000:01:00.0: nouveau_channel_free: freeing fifo 1
Aug  3 17:59:02 mundy kernel: [drm] nouveau 0000:01:00.0: Failed to idle channel 1.
Aug  3 17:59:02 mundy gnome-keyring-daemon[2151]: dbus failure unregistering from session: Connection is closed
Aug  3 17:59:02 mundy gnome-keyring-daemon[2151]: dbus failure unregistering from session: Connection is closed
Aug  3 17:59:02 mundy kernel: [drm] nouveau 0000:01:00.0: Setting dpms mode 3 on tmds encoder (output 2)
Aug  3 17:59:02 mundy kernel: [drm] nouveau 0000:01:00.0: Output DVI-I-1 is running on CRTC 0 using output A
Aug  3 17:59:02 mundy kernel: [drm] nouveau 0000:01:00.0: 0xC633: Parsing digital output script table
Aug  3 17:59:02 mundy kernel: [drm] nouveau 0000:01:00.0: Setting dpms mode 0 on tmds encoder (output 2)
Aug  3 17:59:02 mundy kernel: [drm] nouveau 0000:01:00.0: Output DVI-I-1 is running on CRTC 0 using output A
Aug  3 17:59:03 mundy kernel: [drm] nouveau 0000:01:00.0: Allocating FIFO number 1
Aug  3 17:59:03 mundy kernel: [drm] nouveau 0000:01:00.0: nouveau_channel_alloc: initialised FIFO 1
Aug  3 17:59:03 mundy abrtd: New crash /var/cache/abrt/ccpp-1280883541-1550, processing
Aug  3 17:59:03 mundy abrtd: Registered Action plugin 'RunApp'
Aug  3 17:59:03 mundy abrtd: RunApp('/var/cache/abrt/ccpp-1280883541-1550','test x"`cat component`" = x"xorg-x11-server-Xorg" && cp /var/log/Xorg.0.log .')
Aug  3 17:59:04 mundy gdm-simple-greeter[16880]: Gtk-WARNING: gtkwidget.c:5643: widget not within a GtkWindow
Aug  3 17:59:04 mundy gdm-simple-greeter[16880]: Gtk-WARNING: gtk_widget_size_allocate(): attempt to allocate widget with width 560 and height -1

I don't know if this is helpful, but I wanted to share the information in case it has any utility in debugging the situation.
Comment 7 D. Wagner 2010-08-21 17:03:30 EDT
I had another freeze today.  Anyone have any ideas for workarounds?


Aug 21 13:51:39 mundy kernel: [drm] nouveau 0000:01:00.0: PGRAPH_ERROR - nSource: ILLEGAL_MTHD, nStatus: PROTECTION_FAULT
Aug 21 13:51:39 mundy kernel: [drm] nouveau 0000:01:00.0: PGRAPH_ERROR - Ch 1/0 Class 0x0039 Mthd 0x0440 Data 0x00000000:0x000468e4
Aug 21 13:51:39 mundy kernel: [drm] nouveau 0000:01:00.0: PGRAPH_ERROR - nSource: ILLEGAL_MTHD, nStatus: PROTECTION_FAULT
Aug 21 13:51:39 mundy kernel: [drm] nouveau 0000:01:00.0: PGRAPH_ERROR - Ch 1/0 Class 0x0039 Mthd 0x0444 Data 0x00000000:0x00915181
Aug 21 13:51:39 mundy kernel: [drm] nouveau 0000:01:00.0: PGRAPH_ERROR - nSource: ILLEGAL_MTHD, nStatus: PROTECTION_FAULT
Aug 21 13:51:39 mundy kernel: [drm] nouveau 0000:01:00.0: PGRAPH_ERROR - Ch 1/0 Class 0x0039 Mthd 0x0448 Data 0x02000000:0x00047d60
Aug 21 13:51:39 mundy kernel: [drm] nouveau 0000:01:00.0: PGRAPH_ERROR - nSource: ILLEGAL_MTHD, nStatus: PROTECTION_FAULT
Aug 21 13:51:39 mundy kernel: [drm] nouveau 0000:01:00.0: PGRAPH_ERROR - Ch 1/0 Class 0x0039 Mthd 0x044c Data 0x02000000:0x02000000
Aug 21 13:51:39 mundy kernel: [drm] nouveau 0000:01:00.0: PFIFO_CACHE_ERROR - Ch 1/0 Mthd 0x0184 Data 0x80000004
Aug 21 13:51:39 mundy kernel: [drm] nouveau 0000:01:00.0: PFIFO_CACHE_ERROR - Ch 1/0 Mthd 0x0188 Data 0x80000005
Aug 21 13:51:39 mundy kernel: [drm] nouveau 0000:01:00.0: PGRAPH_ERROR - nSource: DMA_R_PROTECTION, nStatus: PROTECTION_FAULT
Aug 21 13:51:39 mundy kernel: [drm] nouveau 0000:01:00.0: PGRAPH_ERROR - Ch 1/0 Class 0x0039 Mthd 0x0100 Data 0x00000000:0x00000000


[501575.119] [mi] EQ overflowing. The server is probably stuck in an infinite loop.
[501575.131] 
Backtrace:
[501575.166] 0: /usr/bin/Xorg (xorg_backtrace+0x28) [0x45cef8]
[501575.166] 1: /usr/bin/Xorg (mieqEnqueue+0x1f4) [0x49a4c4]
[501575.166] 2: /usr/bin/Xorg (xf86PostMotionEventP+0xc4) [0x46f0e4]
[501575.166] 3: /usr/lib64/xorg/modules/input/evdev_drv.so (0x7f4b9be0a000+0x3dbf) [0x7f4b9be0ddbf]
[501575.166] 4: /usr/bin/Xorg (0x400000+0x6d747) [0x46d747]
[501575.166] 5: /usr/bin/Xorg (0x400000+0x11ccf3) [0x51ccf3]
[501575.166] 6: /lib64/libc.so.6 (0x358ba00000+0x32a20) [0x358ba32a20]
[501575.166] 7: /lib64/libc.so.6 (ioctl+0x7) [0x358bad95a7]
[501575.166] 8: /usr/lib64/libdrm.so.2 (drmIoctl+0x28) [0x35a2603388]
[501575.166] 9: /usr/lib64/libdrm.so.2 (drmCommandWrite+0x1b) [0x35a260360b]
[501575.166] 10: /usr/lib64/libdrm_nouveau.so.1 (0x7f4b9db50000+0x2dfd) [0x7f4b9db52dfd]
[501575.166] 11: /usr/lib64/libdrm_nouveau.so.1 (nouveau_bo_map_range+0xfe) [0x7f4b9db52fee]
[501575.166] 12: /usr/lib64/xorg/modules/drivers/nouveau_drv.so (0x7f4b9dd55000+0x6498) [0x7f4b9dd5b498]
[501575.166] 13: /usr/lib64/xorg/modules/libexa.so (0x7f4b9cede000+0x523f) [0x7f4b9cee323f]
[501575.166] 14: /usr/lib64/xorg/modules/libexa.so (0x7f4b9cede000+0x7494) [0x7f4b9cee5494]
[501575.166] 15: /usr/lib64/xorg/modules/libexa.so (0x7f4b9cede000+0xd117) [0x7f4b9ceeb117]
[501575.166] 16: /usr/lib64/xorg/modules/libexa.so (0x7f4b9cede000+0xe0b2) [0x7f4b9ceec0b2]
[501575.166] 17: /usr/bin/Xorg (0x400000+0xde000) [0x4de000]
[501575.166] 18: /usr/lib64/xorg/modules/libexa.so (0x7f4b9cede000+0xcd08) [0x7f4b9ceead08]
[501575.167] 19: /usr/bin/Xorg (0x400000+0xd44e7) [0x4d44e7]
[501575.167] 20: /usr/bin/Xorg (0x400000+0x3619c) [0x43619c]
[501575.167] 21: /usr/bin/Xorg (0x400000+0x2189a) [0x42189a]
[501575.167] 22: /lib64/libc.so.6 (__libc_start_main+0xfd) [0x358ba1ec5d]
[501575.167] 23: /usr/bin/Xorg (0x400000+0x21449) [0x421449]
Comment 8 Bug Zapper 2011-06-01 09:55:21 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 D. Wagner 2011-06-21 02:30:45 EDT
Created attachment 505758 [details]
/etc/X11/xorg.conf.d/00-system-setup-keyboard.conf
Comment 10 D. Wagner 2011-06-21 02:31:19 EDT
Created attachment 505759 [details]
/var/log/messages (everything since last boot)
Comment 11 D. Wagner 2011-06-21 02:31:38 EDT
Created attachment 505760 [details]
output of dmesg
Comment 12 D. Wagner 2011-06-21 02:32:05 EDT
Created attachment 505761 [details]
/var/log/Xorg.0.log
Comment 13 D. Wagner 2011-06-21 02:34:01 EDT
Done.

Given the evolution in the symptoms of this bug, at this point, this bug might be a dup of, or related to, bug #713906.
Comment 14 Matěj Cepl 2011-06-21 03:55:16 EDT
Good point. Thank you.

*** This bug has been marked as a duplicate of bug 713906 ***

Note You need to log in before you can comment on or make changes to this bug.